%global packname  pillar
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          1.3.1
Release:          1%{?dist}
Summary:          Coloured Formatting for Columns

License:          GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-cli >= 1.0.0, R-crayon >= 1.3.4, R-fansi >= 0.4.0, R-methods, R-rlang >= 0.3.0.1, R-utf8 >= 1.1.3
# Suggests:  R-knitr >= 1.19, R-lubridate >= 1.7.4, R-testthat >= 2.0.0, R-withr >= 2.1.2
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-cli >= 1.0.0
Requires:         R-crayon >= 1.3.4
Requires:         R-fansi >= 0.4.0
Requires:         R-methods
Requires:         R-rlang >= 0.3.0.1
Requires:         R-utf8 >= 1.1.3
Suggests:         R-knitr >= 1.19
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-cli >= 1.0.0
BuildRequires:    R-crayon >= 1.3.4
BuildRequires:    R-fansi >= 0.4.0
BuildRequires:    R-methods
BuildRequires:    R-rlang >= 0.3.0.1
BuildRequires:    R-utf8 >= 1.1.3
BuildRequires:    R-knitr >= 1.19
BuildRequires:    R-lubridate >= 1.7.4
BuildRequires:    R-testthat >= 2.0.0
BuildRequires:    R-withr >= 2.1.2

%description
Provides a 'pillar' generic designed for formatting columns of data using
the full range of colours provided by modern terminals.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Wed Feb 20 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.1-1
- Update to latest version

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jul 25 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.0-1
- Update to latest version

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 31 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.3-1
- initial package for Fedora
